# Overview

[Zabbix](http://zabbix.com) is software that monitors numerous parameters of a network and the health and integrity of servers.

Zabbix agent is deployed on a monitoring target to actively monitor local resources and applications (hard drives, memory, processor statistics etc).

The agent gathers operational information locally and reports data to Zabbix server for further processing. In case of failures (such as a hard disk running full or a crashed service process), Zabbix server can actively alert the administrators of the particular machine that reported the failure.

# Usage

This charm is designed to be used with other charms. Zabbix agents can perform passive and active checks. Both of them are supported by this charm.

In a passive check the agent responds to a data request. Zabbix server (or proxy) asks for data, for example, CPU load, and Zabbix agent sends back the result.

Active checks require more complex processing. The agent must first retrieve a list of items from Zabbix server for independent processing. Then it will periodically send new values to the server.

    juju add-relation zabbix-agent:agent-passive zabbix-server
    juju add-relation zabbix-agent:agent-active zabbix-server
    juju add-relation zabbix-agent:agent-passive zabbix-proxy
    juju add-relation zabbix-agent:agent-active zabbix-proxy

Zabbix server/proxy adds new Zabbix agent to host list using Hostname option from configuration or 'hostname' command if Hostname option is empty.

# Configuration

There is listed a few major configuration options which can be changed:

Hostname - Hostname of the monitored server. Zabbix agent will send the information to Zabbix server.
Timeout - Spend no more than Timeout seconds on checks processing.
ListenPort - Agent will listen on this port for connections from the server.

An example,
    juju set zabbix-agent Timeout=10


### Known Issues / Caveates

Zabbix server/proxy can use different database types, so while relation to database is not added, there is no installed Zabbix server/proxy packages.
We recommend to add a relation between Zabbix agent and Zabbix server/proxy after adding relation Zabbix server/proxy with one of available database types.
The charm Zabbix server/proxy supports only MySQL database.

In case of relation with Zabbix proxy new host will be not added to monitoring. This option is available for relations with Zabbix server only.

#### Web Interface username/password

Login: Admin
Password: zabbix

# Сontact information

- [Zabbix Homepage](http://www.zabbix.com)
- [Zabbix Bug Tracker](https://support.zabbix.com/)
- [Zabbix Services](http://www.zabbix.com/services.php)
